> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clock Ins

> Get clock-in data, optionally filtered by group



## OpenAPI

````yaml get /analytics/dashboards/clock-ins/clock-ins
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/clock-ins/clock-ins:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Clock Ins
      description: Get clock-in data, optionally filtered by group
      operationId: get_clock_ins_analytics_dashboards_clock_ins_clock_ins_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: provider_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Provider Ids
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            title: Timezone
        - name: group_by
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - location
                  - provider
                  - date
                type: string
              - type: 'null'
            title: Group By
        - name: group_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Group Key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_ClockInRow_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_ClockInRow_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ClockInRow'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[ClockInRow]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClockInRow:
      properties:
        providerId:
          type: string
          title: Providerid
        providerFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerfirstname
        providerLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerlastname
        locationId:
          type: string
          title: Locationid
        locationName:
          type: string
          title: Locationname
        date:
          type: string
          format: date
          title: Date
        scheduledShifts:
          items:
            $ref: '#/components/schemas/ScheduledShift'
          type: array
          title: Scheduledshifts
        clockIns:
          items:
            $ref: '#/components/schemas/ClockInRecordSummary'
          type: array
          title: Clockins
        totalScheduledMinutes:
          type: integer
          title: Totalscheduledminutes
        totalWorkedMinutes:
          type: integer
          title: Totalworkedminutes
      type: object
      required:
        - providerId
        - providerFirstName
        - providerLastName
        - locationId
        - locationName
        - date
        - scheduledShifts
        - clockIns
        - totalScheduledMinutes
        - totalWorkedMinutes
      title: ClockInRow
      description: A single row in the clock-in report
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ScheduledShift:
      properties:
        shiftId:
          type: string
          title: Shiftid
        startTime:
          type: string
          format: date-time
          title: Starttime
        endTime:
          type: string
          format: date-time
          title: Endtime
        title:
          type: string
          title: Title
      type: object
      required:
        - shiftId
        - startTime
        - endTime
        - title
      title: ScheduledShift
      description: A scheduled shift for a provider on a given day
    ClockInRecordSummary:
      properties:
        id:
          type: string
          title: Id
        startTime:
          type: string
          format: date-time
          title: Starttime
        endTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endtime
      type: object
      required:
        - id
        - startTime
        - endTime
      title: ClockInRecordSummary
      description: A single clock-in/out record

````